package light

import "github.com/go-gl/mathgl/mgl32"

const MAX_LIGHT_COUNT = 100

const (
	POINT       int32 = iota
	SPOT        int32 = iota
	DIRECTIONAL int32 = iota
	AMBIENT     int32 = iota
)

type Light struct {
	Color     mgl32.Vec3
	Position  mgl32.Vec3
	Direction mgl32.Vec3
	Intensity float32
	Type      int32
}
