package material

import "git.tek.govt.hu/dowerx/opengl-deferred/types/shader"

type Value interface {
	Apply(s *shader.Shader)
}

type IntValue struct {
	Name  string
	Value int32
}

func (v IntValue) Apply(s *shader.Shader) {
	s.Int(v.Name, v.Value)
}
